Bug 10702 - xntpd doesn't allow to specify the bind interface(s)
Summary: xntpd doesn't allow to specify the bind interface(s)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: xntp3   
(Show other bugs)
Version: 6.2
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-04-10 17:44 UTC by samkaski
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-04-10 17:44:33 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description samkaski 2000-04-10 17:44:33 UTC
Reading the SRPMS of the newest xntpd it appears to me that
xntpd always binds to all active interfaces including ip aliases.
This might not be the wanted behaviour. Eg. named allows to specify
the interfaces that are bound to. Now I'm forced to add firewall
rules for all the ip aliases I don't want to offer NTP.

Comment 1 Pekka Savola 2000-07-18 07:15:03 UTC
In ntp-4.0 (e.g. ntp-4.0.99j-0.1), ntpd will only bind to the primary interface,
not aliases.

Work is in progress (probably due 4.1) to allow you to define interfaces to bind
to in /etc/ntp.conf.



Note You need to log in before you can comment on or make changes to this bug.